define("icywildsComponentsAnimationDeclaration", ["icyWildsComponentsAnimationPort", "componentmodelComponentApi", "clientkernelEventbusApi"],
    function(icyWildsComponentsAnimationPort, componentmodelComponentApi, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        if (typeof icywildsComponentsAnimationDeclaration == 'undefined') {
            var icywildsComponentsAnimationDeclaration = {};
        };
        icywildsComponentsAnimationDeclaration.AnimationDeclaration = function() {};
        icywildsComponentsAnimationDeclaration.AnimationDeclaration = ck_implements(icywildsComponentsAnimationDeclaration.AnimationDeclaration, componentmodelComponentApi.IComponentDeclaration);
        icywildsComponentsAnimationDeclaration.AnimationDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        icywildsComponentsAnimationDeclaration.AnimationDeclaration.__name__ = ["icywildsComponentsAnimationDeclaration", "AnimationDeclaration"];
        icywildsComponentsAnimationDeclaration.AnimationDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        icywildsComponentsAnimationDeclaration.AnimationDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        icywildsComponentsAnimationDeclaration.AnimationDeclaration.prototype.getImplementedPorts = function() {
            return [icyWildsComponentsAnimationPort.IAnimationImplementationPort];
        };
        icywildsComponentsAnimationDeclaration.AnimationDeclaration.prototype.getUsedPorts = function() {
            return [];
        };
        icywildsComponentsAnimationDeclaration.AnimationDeclaration.prototype.__class__ = icywildsComponentsAnimationDeclaration.AnimationDeclaration;
        return {
            exports: icywildsComponentsAnimationDeclaration
        };
    });
//# sourceURL=icyWildsAnimationDeclaration.js